<?php get_header(); ?>
		
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post() ?>		

			<div class="post" id="post-<?php the_ID(); ?>">
				
				<div class="post_top">
					<div class="post_title"><h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2></div>
					<div class="post_date"><?php the_time('F jS, Y'); ?><!-- by <?php the_author() ?> --><?php edit_post_link('Edit this post', ' | ', ''); ?></div>
				</div>

				<div class="post_body">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
					<div class="clearer">&nbsp;</div>
				</div>

				<div class="post_metadata">
					<div class="content">
						<?php if ($post->comment_status == 'open') : ?><span class="comment"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span> | <?php endif; ?>Posted in <?php the_category(', ') ?><?php the_tags(', tagged: ', ', ', ''); ?>
					</div>
				</div>

			</div>

		<?php endwhile; ?>

	<?php else : ?>

		<div class="post">
				
			<div class="post_top">
				<div class="post_title"><h2>Not Found</h2></div>
			</div>

			<div class="post_body">
				Sorry, but you are looking for something that isn't here.
				<?php include (TEMPLATEPATH . "/searchform.php"); ?>
			</div>		

		</div>

	<?php endif; ?>

<?php get_footer(); ?>
