<?php get_header(); ?>
		
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); global $post; ?>		

			<div class="post" id="post-<?php the_ID(); ?>">
				
				<div class="post_top">
					<div class="post_title"><h2><?php the_title(); ?></h2></div>
					<div class="post_date"><?php the_time('F jS, Y'); ?><!-- by <?php the_author() ?> --><?php edit_post_link('Edit this post', ' | ', ''); ?></div>
				</div>

				<div class="post_body">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
					<div class="clearer">&nbsp;</div>
				</div>

				<div class="post_metadata">
					<div class="content">
						<span class="comment"><a href="#comments"><?php echo $post->comment_count; ?> Comments</a></span> | Posted in <?php the_category(', ') ?><?php the_tags(', tagged: ', ', ', ''); ?>
					</div>
				</div>

			</div>

		<?php endwhile; ?>

		<?php comments_template(); ?>

	<?php else : ?>

		<div class="post">
				
			<div class="post_top">
				<div class="post_title"><h2>Not Found</h2></div>
			</div>

			<div class="post_body">
				<p>Sorry, but you are looking for something that isn't here.</p>
				<?php include (TEMPLATEPATH . "/searchform.php"); ?>
			</div>
		</div>

	<?php endif; ?>

<?php get_footer(); ?>
